
QGIS Application - Bug report #4731

Layer Properties dialog, General tabl reports incorrect CRS

2012-01-01 10:49 AM - Bob English

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14603

Description

First:

From http://www.mass.gov/mgis/dd-over.htm

The EPSG (European Petroleum Survey Group) code for this coordinate system is 26986.

The Massachusetts State Plane Coordinate System, Mainland Zone meters is defined as follows: 

Projection:  Lambert Conformal Conic

     Spheroid:  GRS 80

     Central Meridian:  -71.5

     Reference Latitude:  41

     Standard Parallel 1:  41.71666666667

     Standard Parallel 2:  42.68333333333

     False Easting:  200000

     False Northing:  750000

From TOWNS_POLY.prj downloaded from MassGIS

PROJCS["NAD_1983_StatePlane_Massachusetts_Mainland_FIPS_2001",GEOGCS["GCS_North_American_1983",DATUM["D_North

American_1983",SPHEROID["GRS_1980",6378137.0,298.257222101]],PRIMEM["Greenwich",0.0],UNIT["Degree",0.0174532925199433]],PROJECTION["Lambert_Conformal_Conic"],PARAMETER["False_Easting",200000.0],PARAMETER["False_Northing",7500

3]],PROJECTION["Lambert_Conformal_Conic"],PARAMETER["False_Easting",200000.0],PARAMETER["False_Northing",750000.0],PARAMETER["Central_Meridian",-71.5],PARAMETER["Standard_Parallel_1",41.71666666666667],PARAMETER["Standard_Parallel_2",42.68333333333333],PARAMETER["Latitude_Of_Origin",41.0],UNIT["Meter",1.0]]

RAMETER["Central_Meridian",-71.5],PARAMETER["Standard_Parallel_1",41.71666666666667],PARAMETER["Standard_Parallel_2",42.68333333333333],PARAMETER["Latitude_Of_Origin",41.0],UNIT["Meter",1.0]]

2.68333333333333],PARAMETER["Latitude_Of_Origin",41.0],UNIT["Meter",1.0]]

From QGIS Reference System Selector EPSG:26986     

+proj=lcc +lat_1=42.68333333333333 +lat_2=41.71666666666667 +lat_0=41 +lon_0=-71.5 +x_0=200000 +y_0=750000

+ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs

    -  Note that lat_1 and lat_2 are reversed in QGIS

SECOND:

1) load a vector layer in MA State Plane coordinates into QGIS v1.71 (please check v1.73 for the same error) (EPSG:26986) see attached

file

2) change the projection for the layer to EPSG: 26986

3) save the layer (possibly with a new name)

4) open the saved layer in QGIS

5) the EPSG for the saved layer is reported by QGIS as EPSG:2805

History

#1 - 2012-01-02 05:41 AM - Giovanni Manghi
http://www.mass.gov/mgis/dd-over.htm


- Status changed from Open to Feedback

- File teste1_shp.zip added

Not confirmed, I'm using qgis-master and I tried the following:

    -  added the attached vector

    -  changed its CRS to EPSG 26986

    -  saved a copy of the vector with EPSG 26986

after adding the result in QGIS it shows coorectly as EPSG 26986.

I attach the vector. Please test qgis-master (with the osgeo4w installer) and leave feedback.

#2 - 2012-01-19 11:08 AM - Bob English

Thanks for looking at this issue.  I didn't have my email notifications set properly in my tracker account, so I didn't get notified of your comment. I will try to

download and install the master from OSGeo when I have time and see if I can repeat the error.

#3 - 2012-01-28 04:09 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

Files

towns.7z 421 KB 2012-01-01 Bob English

teste1_shp.zip 661 KB 2012-01-02 Giovanni Manghi
